<?php
  ///////////////////////////////////////////////////
  //2011 (C)
  //Карпухин Павел
  ///////////////////////////////////////////////////

  $lang = substr($_SERVER["HTTP_ACCEPT_LANGUAGE"], 0,2);
  if(is_file ("../lang/".$lang."/".$lang.".php")) include "../lang/".$lang."/".$lang.".php";
     else include "../lang/ru/ru.php";

  $title=$titlepage = $TEXT['tip-add'];
  $helppage = "";

  if(is_file ("../lang/".$lang."/trans.php")) require_once "../lang/".$lang."/trans.php";
     require_once "../lang/ru/trans.php";
  require_once "../config.php";
  require_once "../util/top_layer1.php";

  if($result2['user'] == 1) puterror2($TEXT['error-loginform4']);
  if($result2['master'] == 1) puterror2($TEXT['error-loginform4']);
  if($result2['manager'] == 1) puterror2($TEXT['error-loginform4']);

  if(empty($_POST['tip_name'])) puterror2($TEXT['error-tip1']);
  if(strlen($_POST['tip_name'])>255) puterror2($TEXT['error-tip2']);
  if(empty($_POST['position'])) puterror2($TEXT['error-nd4']);
  if(strlen($_POST['position'])>11) puterror2($TEXT['error-nd5']);
  if(strlen($_POST['prefix'])>255) puterror2($TEXT['error-tip9']);

  if(isset($_POST['tip_name'])) $tip_name=trim($_POST['tip_name']);
    else $tip_name="";
     if (empty($tip_name)) puterror2($TEXT['error-tip3']);

  if(isset($_POST['position'])) $position=trim($_POST['position']);
    else $position="";
     if (empty($position)) puterror2($TEXT['error-nd7']);

  $_POST['tip_name'] = rep($_POST['tip_name']);
  $_POST['position'] = rep($_POST['position']);
  $_POST['prefix'] = rep($_POST['prefix']);

    if($_FILES['photo']['size'] > 1024*2*1024) puterror2($TEXT['error-pic3']);
    if (!empty($_FILES['photo']['tmp_name']))
      {
       $ext = strrchr($_FILES['photo']['name'], ".");
       $name = $_POST['tip_name'];
       $tip = "tip_".translate($name)."_";
       $image = "../photo/$tip".date("YmdHis",time())."$ext";

          if (copy($_FILES['photo']['tmp_name'], "../".$image))
            {
            unlink($_FILES['photo']['tmp_name']);
            chmod("../".$image, 0644);
            }
     }
      else $image = "";

  $query_chk = "SELECT `tip_name` FROM `tbl_tip_resurs` WHERE `tip_name`='".$_POST['tip_name']."' ";
    $result_chk = mysql_query($query_chk);
     if(!$result_chk) puterror2($TEXT['error-tbl38']);
       if(mysql_num_rows($result_chk)>0) puterror2($TEXT['global-est']);

  //*************************************
  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['log-tip1'];
  $what = $_POST['tip_name'];
  $who = $result2['fullname'];
  //*************************************
  $query = "INSERT INTO `tbl_tip_resurs` ( `tip_id` , `tip_name`, `pic_tip`, `position`, `prefix` ) VALUES ( NULL , '".$_POST['tip_name']."', '$image', '".$_POST['position']."', '".$_POST['prefix']."') ";
  if(mysql_query($query))
  {
    $query2 = "INSERT INTO `tbl_logs` ( `log_id` , `data` , `ip` , `who` , `doing` , `what` ) VALUES ( NULL , NOW() , '$ip' , '$who' , '$doing' , '$what')";
        if(mysql_query($query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index-tip.php' />
                   </head></html>";
           } else puterror2($TEXT['error-log']);
  } else puterror2($TEXT['error-tip8']);
  require_once "../util/bottom.php";
?>
